Subject: Re: Queston about Walnut

From: Dan Kegel <[email-masked]>
Date: Fri, 03 Oct 2003 09:10:26 -0700

Jacky Lam wrote:
>     Does anyone still working on Walnut platform and successfully boot up
> 2.4 kernel on that? If no, could someone remember what is the last known
> working toolchain and kernel on Walnut?

We used 2.4.17 from linuxppc_2_4_devel.

 >     I use toolchain gcc 3.2.3, glibc 2.2.5 because I have some trouble to
 > compile to newest one (it requests my host gcc >=3.1). Is this related? If
 > yes, I would tried to reinstall my RedHat to newer version, but it would be
 > painful.....

Why painful?  It's as easy as this:

----------
wget ftp://ftp.gnu.org/gnu/gcc/gcc-3.3.1.tar.gz
tar -xzvf gcc-3.3.1.tar.gz
mkdir build-gcc
cd build-gcc
../gcc-3.3.1/configure --prefix=/usr/local/gcc-3.3.1 --enable-languages=c,c++
make
sudo make install
----------

Then put /usr/local/gcc-3.3.1/bin in your PATH before anything else, and you're done.

BTW here's the (awful) script I used to grab the kernel.  (It reveals my
total lack of knowledge of bitkeeper; I think 'bk export' is preferred
to my clumsy removal of CVS directories.)

#!/bin/sh

if [ -z $1 ]; then
         echo "Usage: `basename $0` TAG"
         echo "Example: `basename $0` v2.4.18"
         echo "Purpose: fetch a kernel source tarball from the linuxppc_2_4_devel tree"
         exit 1
fi
set -x -e

rm -rf linux linuxppc_2_4_devel-$1 || /bin/true

# Download bk from http://www.bitkeeper.com
bk clone -r$1 bk://ppc.bkserver.net/linuxppc_2_4_devel linuxppc_2_4_devel-$1
cd linuxppc_2_4_devel-$1
find . -type d -exec bk get {} \;

# Hey!  nonxargs version fails with 'find: no such file foo/SCCS' after deleting foo/SCCS!
# Bug in gnu find 4.1.7?  Or in kernel 2.4.18?  Who knows...
#find . -name SCCS -exec rm {} \;
find . -name SCCS -print | xargs rm -rf

rm -rf RESYNC/
rm -rf PENDING/
rm -rf BitKeeper/
rm -f ChangeSet
cd ..
mv linuxppc_2_4_devel-$1 linux

--
Dan Kegel
http://www.kegel.com
http://counter.li.org/cgi-bin/runscript/display-person.cgi?user=78045

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/